commit:     3a4f6be7c2c36da69eb14f6895d6ca8f7cd7c3be
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Mon Jan 22 15:00:34 2018 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Mon Jan 22 15:00:34 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3a4f6be7

net-analyzer/fail2ban: Version 0.10.2.

Package-Manager: Portage-2.3.20, Repoman-2.3.6

 net-analyzer/fail2ban/Manifest               |   1 +
 net-analyzer/fail2ban/fail2ban-0.10.2.ebuild | 113 +++++++++++++++++++++++++++
 2 files changed, 114 insertions(+)

diff --git a/net-analyzer/fail2ban/Manifest b/net-analyzer/fail2ban/Manifest
index 6dadb26f74f..1c6f7cd2e8c 100644
--- a/net-analyzer/fail2ban/Manifest
+++ b/net-analyzer/fail2ban/Manifest
@@ -1,3 +1,4 @@
 DIST fail2ban-0.10.1.tar.gz 465197 BLAKE2B 
1e9ed7d07f4565f49e6ebec9ba1ebbbb9835d2eab69d786672addbdf32b2d350a582927cf56722eea91c1420e2d0d7d7564c2739d412c33f639551fa83a7d4ad
 SHA512 
80170082903b7d92732a7accd8ec5188f4b08b57ce46c2df9bc014771ab50602df2065abe87ccb890cfba41699f5441ebfe4648090ffcedb83e0374e509002f2
+DIST fail2ban-0.10.2.tar.gz 474675 BLAKE2B 
569599eec3c7b786933af332507ca148f49d38688f7467d3d9bb811353402646136fb28351e593fad0c95de4ece4ac4967d8215430827e8f5a2a52a6ea61a3ca
 SHA512 
1c16682b3cbf26b5aed1bace4c09ed911e487fbd01f8e8355f2427dae85b86d1d28e7a18948ad66488393115c1439e9daf634f2edb8c3ce7ce8639aa53e35503
 DIST fail2ban-0.9.6.tar.gz 352145 BLAKE2B 
a529a7a1c78f29f457abc26215da015f7624f6d777571e96725775557725b6cbbfda5068e77520f1b3c20efcff07c11f210c5cca3ed47cf86c6f5e87c503052f
 SHA512 
c09778d39741dc38d1073495a9f491012717d5ed04d28722f2ae6755104bdcc472baf06d33f500fed592b04c05277ba5cf74e527f1c0ed751108f4f1be22fa7e
 DIST fail2ban-0.9.7.tar.gz 356410 BLAKE2B 
0dc83741825299236e70f6544155ccefea9682b6b62ee98087918433fe5c3795331bdbc92ee003ec794739d9a826293fd0c20518dd4c0c0bc5c6b963941d11d4
 SHA512 
117b2cad742636c84ddd1f7de04abb603a74893eae062bd19edcde70a7246bc02157b644ee7192e5bcbd4c45ff6c541d5c598846bdd2dcbab21b884c6402f94d

diff --git a/net-analyzer/fail2ban/fail2ban-0.10.2.ebuild 
b/net-analyzer/fail2ban/fail2ban-0.10.2.ebuild
new file mode 100644
index 00000000000..1efe5233391
--- /dev/null
+++ b/net-analyzer/fail2ban/fail2ban-0.10.2.ebuild
@@ -0,0 +1,113 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} pypy )
+DISTUTILS_SINGLE_IMPL=1
+
+inherit distutils-r1 eutils systemd vcs-snapshot
+
+DESCRIPTION="scans log files and bans IPs that show malicious signs"
+HOMEPAGE="http://www.fail2ban.org/";
+SRC_URI="https://github.com/${PN}/${PN}/tarball/${PV} -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
+IUSE="selinux systemd"
+
+# TODO support ipfw and ipfilter
+RDEPEND="
+       kernel_linux? ( net-firewall/iptables )
+       kernel_FreeBSD? ( sys-freebsd/freebsd-pf )
+       net-misc/whois
+       virtual/logger
+       virtual/mta
+       selinux? ( sec-policy/selinux-fail2ban )
+       systemd? ( $(python_gen_cond_dep '|| (
+               dev-python/python-systemd[${PYTHON_USEDEP}]
+               sys-apps/systemd[python(-),${PYTHON_USEDEP}]
+       )' 'python*' ) )
+"
+
+REQUIRED_USE="systemd? ( !python_single_target_pypy )"
+
+DOCS=( ChangeLog DEVELOP README.md THANKS TODO doc/run-rootless.txt )
+
+python_prepare_all() {
+       eapply_user
+
+       # Replace /var/run with /run, but not in the top source directory
+       find . -mindepth 2 -type f -exec \
+               sed -i -e 's|/var\(/run/fail2ban\)|\1|g' {} + || die
+
+       sed -i -e 's|runscript|openrc-run|g' files/gentoo-initd || die
+
+       distutils-r1_python_prepare_all
+}
+
+python_compile() {
+       if python_is_python3; then
+               ./fail2ban-2to3 || die
+       fi
+       distutils-r1_python_compile
+}
+
+python_test() {
+       "${PYTHON}" "bin/${PN}-testcases" || die "tests failed with ${EPYTHON}"
+}
+
+python_install_all() {
+       distutils-r1_python_install_all
+
+       rm -rf "${D}"/usr/share/doc/${PN} "${D}"/run || die
+
+       # not FILESDIR
+       newconfd files/gentoo-confd ${PN}
+       newinitd files/gentoo-initd ${PN}
+       sed -e "s:@BINDIR@:${EPREFIX}/usr/bin:g" files/${PN}.service.in > 
"${T}/${PN}.service" || die
+       systemd_dounit "${T}/${PN}.service"
+       systemd_dotmpfilesd files/${PN}-tmpfiles.conf
+       doman man/*.{1,5}
+
+       # Use INSTALL_MASK  if you do not want to touch /etc/logrotate.d.
+       # See http://thread.gmane.org/gmane.linux.gentoo.devel/35675
+       insinto /etc/logrotate.d
+       newins files/${PN}-logrotate ${PN}
+}
+
+pkg_preinst() {
+       has_version "<${CATEGORY}/${PN}-0.7"
+       previous_less_than_0_7=$?
+}
+
+pkg_postinst() {
+       if [[ $previous_less_than_0_7 = 0 ]] ; then
+               elog
+               elog "Configuration files are now in /etc/fail2ban/"
+               elog "You probably have to manually update your configuration"
+               elog "files before restarting Fail2ban!"
+               elog
+               elog "Fail2ban is not installed under /usr/lib anymore. The"
+               elog "new location is under /usr/share."
+               elog
+               elog "You are upgrading from version 0.6.x, please see:"
+               elog 
"http://www.fail2ban.org/wiki/index.php/HOWTO_Upgrade_from_0.6_to_0.8";
+       fi
+
+       if ! has_version dev-python/pyinotify && ! has_version app-admin/gamin; 
then
+               elog "For most jail.conf configurations, it is recommended you 
install either"
+               elog "dev-python/pyinotify or app-admin/gamin (in order of 
preference)"
+               elog "to control how log file modifications are detected"
+       fi
+
+       if ! has_version dev-lang/python[sqlite]; then
+               elog "If you want to use ${PN}'s persistent database, then 
reinstall"
+               elog "dev-lang/python with USE=sqlite"
+       fi
+
+       if has_version sys-apps/systemd[-python]; then
+               elog "If you want to track logins through sys-apps/systemd's"
+               elog "journal backend, then reinstall sys-apps/systemd with 
USE=python"
+       fi
+}

Reply via email to